[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObjectEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for docking that is automatically destroyed after use.

## Declaration

Source position: controls.pp line 621

`type TDragDockObjectEx = class(TDragDockObject)`
`public`
`constructor Create(); override;` |  | Constructor for the class instance.
`end;`

## Inheritance

`TDragDockObjectEx` |  | A drag object for docking that is automatically destroyed after use.
`TDragDockObject` |  | A drag object for drag-dock.
`TDragObject` |  | Base class for managing drag operations and user feedback.
`TObject`